(RHSA-2012:1056) Moderate: resteasy security update

2012-07-05T23:17:51
ID RHSA-2012:1056
Type redhat
Reporter RedHat
Modified 2019-02-20T17:33:58

Description

RESTEasy provides various frameworks to help you build RESTful web services and RESTful Java applications.

It was found that RESTEasy was vulnerable to XML External Entity (XXE) attacks. If a remote attacker submitted a request containing an external XML entity to a RESTEasy endpoint, the entity would be resolved, allowing the attacker to read files accessible to the user running the application server. This flaw affected DOM (Document Object Model) Document and JAXB (Java Architecture for XML Binding) input. (CVE-2012-0818)

Note: The fix for CVE-2012-0818 is not enabled by default. This update adds a new configuration option to disable entity expansion in RESTEasy. If applications on your server expose RESTEasy XML endpoints, a resteasy.document.expand.entity.references configuration snippet must be added to their web.xml file to disable entity expansion in RESTEasy. Refer to Red Hat Bugzilla bug 785631 for details.

Warning: Before applying this update, back up your JBoss Enterprise Application Platform's "jboss-as/server/[PROFILE]/deploy/" directory, along with all other customized configuration files.

All users of JBoss Enterprise Application Platform 5.1.2 as provided from the Red Hat Customer Portal are advised to install this update.